### Function

# AppStream get_current_distro_component_id

since: 1.0

#### Declaration [src]

    gchar*
    as_get_current_distro_component_id (
      void
    )

#### Description [src]

Returns the component-ID of the current distribution based on contents of the `/etc/os-release` file. This function is a shorthand for %as_distro_details_get_cid.

Available since: 1.0

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.